Sitemap
Update theme region rule
Update an existing theme region rule
PATCH
/
api
/
theme_region_rules
/
{id}
Update theme region rule
curl --request PATCH \
--url https://api.fluid.app/api/theme_region_rules/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"theme_region_rule": {
"priority": 20,
"description": "Canadian copy paper page with metric sheet sizes and bilingual labels"
}
}
'import requests
url = "https://api.fluid.app/api/theme_region_rules/{id}"
payload = { "theme_region_rule": {
"priority": 20,
"description": "Canadian copy paper page with metric sheet sizes and bilingual labels"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
theme_region_rule: {
priority: 20,
description: 'Canadian copy paper page with metric sheet sizes and bilingual labels'
}
})
};
fetch('https://api.fluid.app/api/theme_region_rules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"theme_region_rule": {
"id": 48213,
"company_id": 1405,
"application_theme_id": 7312,
"application_theme_template_id": 22904,
"route_path": "products/20lb-copy-paper",
"region_code": "CA",
"priority": 20,
"active": true,
"redirect_type": "template",
"redirect_url": null,
"description": "Canadian copy paper page with metric sheet sizes and bilingual labels",
"resource_type": "Product",
"resource_id": 60318,
"route_kind": "credit_prefixed",
"created_at": "2026-09-08T13:15:22Z",
"updated_at": "2026-09-12T08:44:05Z"
},
"meta": {
"request_id": "5f0c9a2e-7b41-4d8e-9c36-1a2b8e4f7d90",
"timestamp": "2026-09-14T15:42:08Z"
}
}{
"message": "<string>"
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}⌘I
Update theme region rule
